#!/bin/bash

# 设置要检查的目录路径
TARGET_DIR="/opt/adweb3/wp_bak"

# 设置文件或目录的存活天数
DAYS_TO_KEEP=30

# 获取当前日期的时间戳
CURRENT_DATE=$(date +%s)

# 遍历目标目录中的所有文件和目录
for FILE_OR_DIR in "$TARGET_DIR"/*; do
    # 获取文件或目录的最后修改时间的时间戳
    LAST_MODIFIED_DATE=$(stat -c %Y "$FILE_OR_DIR")

    # 计算文件或目录的存活天数
    DAYS_OLD=$(( (CURRENT_DATE - LAST_MODIFIED_DATE) / 86400 ))

    # 如果文件或目录的存活天数超过了设定的天数，则删除它
    if [ "$DAYS_OLD" -gt "$DAYS_TO_KEEP" ]; then
        rm -rf "$FILE_OR_DIR"
        echo "Deleted: $FILE_OR_DIR (was $DAYS_OLD days old)"
    fi
done
