#!/bin/bash

#### Remove WP Site
#### v3 删除该临时站点资源

SITE_CODE=$1

# 定义要检查的目录路径
FROM_DIR="/usr/local/wwwroot/"
DIR_TO_CHECK=$FROM_DIR$SITE_CODE

# 定义数据库连接信息
RDS_HOST='127.0.0.1'
RDS_ADMIN='root'
RDS_PWD='Initial0_123'

sudo rm -rf $DIR_TO_CHECK

if [ $? -eq 0 ]; then
  echo "打包后删除该项目目录$SITE_CODE"
fi


#############
# 删除数据库 #
############
mysql -u $RDS_ADMIN -p$RDS_PWD -e "DROP DATABASE $SITE_CODE;"

# 检查 MySQL 命令是否成功执行
if [ $? -eq 0 ]; then
  echo "Database $SITE_CODE has been deleted."
else
  echo "Failed to delete database $SITE_CODE."
fi

# 删除nginx 配置文件 #
sudo rm -f /usr/local/openresty/nginx/vhost/$SITE_CODE.conf

# 删除nginx 站点日志文件 #
sudo rm -f /usr/local/openresty/nginx/logs/$SITE_CODE.error.log
sudo rm -f /usr/local/openresty/nginx/logs/$SITE_CODE.access.log

echo "reload nginx config"
/usr/local/openresty/nginx/sbin/nginx -s reload
echo "reload nginx config done!"